main section.l-partner:not(:has(~section.l-partner)) {
  padding-bottom: 21.6rem;
}

main section.l-partner:not(:has(~section.l-partner)) .l-partner_wrapper::after {
  display: none;
}

.l-partner {
  padding-right: 26.1rem;
  padding-bottom: 24rem;
  padding-left: 26.1rem;
}

.l-partner_wrapper {
  position: relative;
}

.l-partner_wrapper::after {
  display: block;
  position: absolute;
  bottom: -12rem;
  width: 100%;
  border-top: solid 1px var(--color-black);
  content: "";
}

.l-partner_wrapper>*:last-child {
  margin-bottom: 0;
}

.l-partner.is-top {
  padding-top: 13.3rem;
}

.l-partner_ttl_sub {
  margin-bottom: 3.2rem;
}

.l-partner_txt {
  margin-bottom: 5.6rem;
}

.l-partner_txt_note {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: .4rem;
}

.l-partner_txt_note::before {
  display: inline-block;
  content: "※";
}

.l-partner_btn {
  --btn-width: 41.2rem;
  margin-bottom: 3.2rem;
  border: 1px solid rgba(0,0,0,0);
  -webkit-transition: background-color var(--easing) var(--duration),color var(--easing) var(--duration);
  transition: background-color var(--easing) var(--duration),color var(--easing) var(--duration);
}

.l-partner_btn svg path {
  -webkit-transition: stroke var(--easing) var(--duration);
  transition: stroke var(--easing) var(--duration);
}

@media screen and (max-width: 48em) {
  main section.l-partner:not(:has(~section.l-partner)) {
    padding-bottom: 12rem;
  }
  .l-partner {
    padding-right: 2rem;
    padding-bottom: 16rem;
    padding-left: 2rem;
  }
  .l-partner_wrapper::after {
    bottom: -8rem;
  }
  .l-partner_wrapper>*:last-child {
    margin-bottom: 0;
  }
  .l-partner.is-top {
    padding-top: 8rem;
  }
  .l-partner_ttl {
    --ttl-mb: 4.8rem;
  }
  .l-partner_ttl_sub {
    margin-bottom: 2rem;
  }
  .l-partner_txt {
    margin-bottom: 4rem;
  }
  .l-partner_btn {
    --btn-width: 100%;
    margin-bottom: 2rem;
  }
}

@media (hover: hover) {
  .l-partner_btn:hover {
    border: 1px solid var(--btn-border-color, var(--color-black));
    background-color: var(--btn-bg-color, transparent);
    color: var(--btn-font-color, var(--color-black));
  }
  .l-partner_btn:hover svg path {
    stroke: var(--btn-arrow-color, var(--color-black));
  }
}
